var idslct = charIDToTypeID( "slct" );
    var desc18 = new ActionDescriptor();
    var idnull = charIDToTypeID( "null" );
        var ref15 = new ActionReference();
        var idmarqueeEllipTool = stringIDToTypeID( "marqueeEllipTool" );
        ref15.putClass( idmarqueeEllipTool );
    desc18.putReference( idnull, ref15 );
    var iddontRecord = stringIDToTypeID( "dontRecord" );
    desc18.putBoolean( iddontRecord, true );
    var idforceNotify = stringIDToTypeID( "forceNotify" );
    desc18.putBoolean( idforceNotify, true );
executeAction( idslct, desc18, DialogModes.NO );